Subject: Re: [PATCH] bnx2: Use request_firmware()

From: "Michael Chan" <[email-masked]>
Date: Mon, 23 Mar 2009 18:44:38 -0700

On Mon, 2009-03-23 at 18:26 -0700, Rick Jones wrote:
> Michael Chan wrote:
> > On Mon, 2009-03-23 at 17:14 -0700, Rick Jones wrote:
> > 
> >>Michael Chan wrote:
> >>
> >>>May be I'll break up each firmware section into a
> >>>different file and the file name will be updated with each version.
> >>>This will allow different sections to be updated separately and older
> >>>kernels will still have access to the older firmware.
> >>
> >>Is that really necessary?  It is enough "fun" finding just the one firmware file 
> >>as it is.
> > 
> > 
> > If all the firmware sections are in the same file, much of the firmware
> > file will be duplicated in a new file when we update just one section.
> 
> So?  Perhaps I'm just experiencing distro pain which may not continue to exist or 
> which may not matter to netdev, but when one is installing to a system that uses 
> a core NIC which has firmware cast-out into "non-free" siberia, life is "fun" 
> enough making sure one has the one firmware file let alone N of them.  If I now 
> have to make sure I have all N firmware files, and they are to be updated 
> separately, either that means I have to find N packages, or the distros are going 
> to package them into one "uber" package that might as well be a single firmware 
> file anyway.
> 

I think we can assume that distros will package firmware files (make
firmware_install) properly and not require users to install these
firmware files on their own.